/*   TFUNCTION FOR REDAP                                 */
/*   System : P + C <--> PC     :   k+=p[1], k-=p[2]      */
/*            PC + C <--> CPC   :   k+=p[3], k-=p[4]      */
/*    observed data : Abs=e1*P + e2*PC + e3*CPC           */
/*            dAbs/dt = (e2-e1)*dPC/dt + (e3-e1)*dCPC/dt  */
/*   [P]=x[1], [PC]=x[2], [CPC]=x[3], ([C]=x[4]), Abs=x[4]*/
/*   (e2-e1)=p[5] , (e3-e1)=p[6]                          */

#include <math.h>
extern double dx[],x[],c[],p[];

void function()
  {
   dx[1]=-p[1]*x[4]*x[1]+p[2]*x[2];                          /* dP/dt   */
   dx[2]=p[1]*x[4]*x[1]-p[2]*x[2]-p[3]*x[4]*x[2]+p[4]*x[3];  /* dPC/dt  */
   dx[3]=-dx[1]-dx[2];                                       /* dCPC/dt */
   dx[4]=-dx[2]-2*dx[3];                                     /* dC/dt   */
   dx[5]=p[5]*dx[2]+p[6]*dx[3];                              /* dAbs/dt */
  }

void function2()
 {
  /* Define necessary equations to determined initial x[i]. */
  /* x[i]=g(x[j],p[i],c[i])                                 */
 }